Skip to main content
GET
/
events
/
{transaction_id}
Retrieve a specific event
curl --request GET \
  --url https://core.nozle.app/api/v1/events/{transaction_id} \
  --header 'Authorization: Bearer <token>'
{
  "event": {
    "transaction_id": "transaction_1234567890",
    "lago_customer_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
    "code": "storage",
    "timestamp": "2022-04-29T08:59:51.123Z",
    "lago_subscription_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
    "external_subscription_id": "sub_1234567890",
    "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
    "precise_total_amount_cents": "1234.56",
    "properties": {
      "gb": 10
    },
    "created_at": "2022-04-29T08:59:51Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

transaction_id
string
required

This field represents the unique identifier sent for this specific event (must be URL encoded).

Example:

"transaction_1234567890"

Response

Event

event
object
required